[389-users] Centos 6?

Rob Crittenden rcritten at redhat.com
Fri Jul 29 12:36:07 UTC 2011


Brett Dikeman wrote:
> Greetings,
>
> I'm trying to install 389 on Centos 6, following this:
>
> http://directory.fedoraproject.org/wiki/Install_Guide#New_Install
>
> The guide makes it out to be as simple as "configure EPEL, then
> execute yum install 389-ds".
>
> Instead, the install dies with yum not able to find a dozen or two
> dependencies, all of them perl, it looks like:
>
> -perl(Setup)
> -perl (Mozilla::LDAP::Utils)
> -perl(Resource)
>
> ...and so on (Dialog, DSMigration, Migration, DSUpdate etc.)
>
> I've tried both EPEL release, and EPEL testing.  I can't seem to find
> anyone else complaining about these issues, so I'm guessing I'm
> missing something.  Any suggestions?

Don't take this as authoritative, I'm not on the 389-ds team.

I think the problem is that 389-ds-base was added to RHEL as a base 
package in 6.1 so if it gets added to epel there is going to be a conflict.

You can probably get the missing src rpms from 
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/

Finding the right package for perl dependencies seems to be more an art 
than a skill. The names don't always line up nicely. One hint is that 
the DS* requirements are provided by 389-ds-base itself.

rob



More information about the 389-users mailing list